<?xml version="1.0"?>
<opencv_storage>
<cascade>
  <stageType>BOOST</stageType>
  <featureType>HAAR</featureType>
  <height>24</height>
  <width>24</width>
  <stageParams>
    <boostType>GAB</boostType>
    <minHitRate>9.9500000476837158e-01</minHitRate>
    <maxFalseAlarm>5.0000000000000000e-01</maxFalseAlarm>
    <weightTrimRate>9.4999999999999996e-01</weightTrimRate>
    <maxDepth>1</maxDepth>
    <maxWeakCount>100</maxWeakCount></stageParams>
  <featureParams>
    <maxCatCount>0</maxCatCount>
    <featSize>1</featSize>
    <mode>BASIC</mode></featureParams>
  <stageNum>20</stageNum>
  <stages>
    <!-- stage 0 -->
    <_>
      <maxWeakCount>3</maxWeakCount>
      <stageThreshold>-1.0458444356918335e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 3 6.0632381588220596e-02</internalNodes>
          <leafValues>
            -9.2695653438568115e-01 7.5000000000000000e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 99 2.1304793655872345e-02</internalNodes>
          <leafValues>
            -8.9315533638000488e-01 7.2843742370605469e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 24 -1.0788634419441223e-02</internalNodes>
          <leafValues>
            7.7426743507385254e-01 -7.7661371231079102e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 1 -->
    <_>
      <maxWeakCount>3</maxWeakCount>
      <stageThreshold>-1.3122659921646118e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 64 -1.5130613744258881e-01</internalNodes>
          <leafValues>
            5.8333331346511841e-01 -9.0828925371170044e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 1 7.7371433377265930e-02</internalNodes>
          <leafValues>
            -8.1259006261825562e-01 4.7622358798980713e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 28 -1.3912800932303071e-03</internalNodes>
          <leafValues>
            4.0861335396766663e-01 -7.8176057338714600e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 2 -->
    <_>
      <maxWeakCount>3</maxWeakCount>
      <stageThreshold>-1.4791611433029175e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 89 -8.8634833693504333e-02</internalNodes>
          <leafValues>
            5.0649350881576538e-01 -9.1382408142089844e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 34 -5.1212951540946960e-02</internalNodes>
          <leafValues>
            2.3359639942646027e-01 -8.7048727273941040e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 21 4.4936154037714005e-02</internalNodes>
          <leafValues>
            -7.9893350601196289e-01 4.1348019242286682e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 3 -->
    <_>
      <maxWeakCount>5</maxWeakCount>
      <stageThreshold>-1.9623146057128906e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 63 -2.8938034176826477e-01</internalNodes>
          <leafValues>
            3.4228187799453735e-01 -8.5765123367309570e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 122 7.7490443363785744e-03</internalNodes>
          <leafValues>
            -6.4462828636169434e-01 4.6754473447799683e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 11 -8.6882931645959616e-04</internalNodes>
          <leafValues>
            4.6950978040695190e-01 -6.7238163948059082e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 29 9.2956066131591797e-02</internalNodes>
          <leafValues>
            -5.9712266921997070e-01 4.5024624466896057e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 57 -7.9972650855779648e-03</internalNodes>
          <leafValues>
            7.7891200780868530e-01 -3.3242219686508179e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 4 -->
    <_>
      <maxWeakCount>6</maxWeakCount>
      <stageThreshold>-1.2801862955093384e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 43 -2.4495260417461395e-01</internalNodes>
          <leafValues>
            5.7142859697341919e-01 -8.5982906818389893e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 62 -1.2063391506671906e-01</internalNodes>
          <leafValues>
            3.8376966118812561e-01 -5.7597833871841431e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 37 7.0195924490690231e-04</internalNodes>
          <leafValues>
            -6.3537436723709106e-01 3.2686164975166321e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 18 -2.6048411382362247e-04</internalNodes>
          <leafValues>
            -9.6734476089477539e-01 2.1877121925354004e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 58 -2.0206352928653359e-04</internalNodes>
          <leafValues>
            -7.6696401834487915e-01 2.2173146903514862e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 98 1.1137044988572598e-02</internalNodes>
          <leafValues>
            -5.7545036077499390e-01 3.7695226073265076e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 5 -->
    <_>
      <maxWeakCount>8</maxWeakCount>
      <stageThreshold>-1.2703597545623779e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 115 3.3552438020706177e-02</internalNodes>
          <leafValues>
            -8.2149362564086914e-01 1.2345679104328156e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 12 -2.0210064947605133e-02</internalNodes>
          <leafValues>
            3.5995700955390930e-01 -6.3990813493728638e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 18 1.7788776312954724e-04</internalNodes>
          <leafValues>
            2.7618652582168579e-01 -6.9240939617156982e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 136 -9.0069323778152466e-04</internalNodes>
          <leafValues>
            3.2998058199882507e-01 -5.7665145397186279e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 8 2.6659311726689339e-02</internalNodes>
          <leafValues>
            -7.5668329000473022e-01 2.7177828550338745e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 27 -1.3651031767949462e-03</internalNodes>
          <leafValues>
            3.3635488152503967e-01 -6.3018333911895752e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 71 -3.5528644919395447e-02</internalNodes>
          <leafValues>
            -7.3935043811798096e-01 2.6420778036117554e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 30 -2.0415078848600388e-02</internalNodes>
          <leafValues>
            8.0411106348037720e-01 -2.8390783071517944e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 6 -->
    <_>
      <maxWeakCount>7</maxWeakCount>
      <stageThreshold>-2.1540460586547852e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 65 5.2482564933598042e-03</internalNodes>
          <leafValues>
            -7.9020977020263672e-01 1.5107913315296173e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 9 1.7551857978105545e-02</internalNodes>
          <leafValues>
            -6.1002355813980103e-01 4.4387742877006531e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 31 -2.0718410087283701e-04</internalNodes>
          <leafValues>
            3.3570376038551331e-01 -5.8319616317749023e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 54 -3.5518947988748550e-03</internalNodes>
          <leafValues>
            3.0654066801071167e-01 -7.4154293537139893e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 6 4.7140248119831085e-02</internalNodes>
          <leafValues>
            -6.1578023433685303e-01 3.2894223928451538e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 110 1.7744513461366296e-03</internalNodes>
          <leafValues>
            -5.4873728752136230e-01 4.2239883542060852e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 40 2.1552516147494316e-02</internalNodes>
          <leafValues>
            -2.6317957043647766e-01 7.5189411640167236e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 7 -->
    <_>
      <maxWeakCount>6</maxWeakCount>
      <stageThreshold>-1.2944955825805664e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 121 -8.9102052152156830e-03</internalNodes>
          <leafValues>
            -3.0513514891888915e-17 -8.3044314384460449e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 127 1.1831545270979404e-03</internalNodes>
          <leafValues>
            -5.7969319820404053e-01 3.1692782044410706e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 84 -7.7002085163258016e-05</internalNodes>
          <leafValues>
            -7.8927367925643921e-01 2.3147833347320557e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 55 3.3977602142840624e-03</internalNodes>
          <leafValues>
            2.5754773616790771e-01 -8.8674789667129517e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 101 7.3790490627288818e-02</internalNodes>
          <leafValues>
            -4.9921572208404541e-01 4.4475767016410828e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 134 -6.9088113377802074e-05</internalNodes>
          <leafValues>
            -7.4027222394943237e-01 2.4996146559715271e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 8 -->
    <_>
      <maxWeakCount>7</maxWeakCount>
      <stageThreshold>-1.5871038436889648e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 126 -2.6297788135707378e-03</internalNodes>
          <leafValues>
            -1.5126051008701324e-01 -8.3509516716003418e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 32 3.4341632854193449e-03</internalNodes>
          <leafValues>
            -7.0349681377410889e-01 2.1112975478172302e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 5 -5.4721932858228683e-02</internalNodes>
          <leafValues>
            2.6662066578865051e-01 -6.9530898332595825e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 113 1.2054566468577832e-04</internalNodes>
          <leafValues>
            -5.4673868417739868e-01 3.7800171971321106e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 7 1.7899321392178535e-03</internalNodes>
          <leafValues>
            -5.4477405548095703e-01 3.5659760236740112e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 86 -4.4789174571633339e-03</internalNodes>
          <leafValues>
            4.0909680724143982e-01 -4.6660563349723816e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 132 6.4393470529466867e-04</internalNodes>
          <leafValues>
            -4.8678514361381531e-01 4.4379320740699768e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 9 -->
    <_>
      <maxWeakCount>6</maxWeakCount>
      <stageThreshold>-1.8798148632049561e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 50 2.9547935351729393e-02</internalNodes>
          <leafValues>
            -7.3375594615936279e-01 4.0000000596046448e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 120 -7.8001068904995918e-03</internalNodes>
          <leafValues>
            3.0212688446044922e-01 -5.6897759437561035e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 137 -2.0619938732124865e-04</internalNodes>
          <leafValues>
            3.3244448900222778e-01 -6.2576639652252197e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 13 -2.3991364287212491e-04</internalNodes>
          <leafValues>
            -8.5783958435058594e-01 1.9424857199192047e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 4 5.8827111497521400e-03</internalNodes>
          <leafValues>
            -4.6303725242614746e-01 3.8272172212600708e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 16 -9.7520241979509592e-05</internalNodes>
          <leafValues>
            3.0911454558372498e-01 -5.5363076925277710e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 10 -->
    <_>
      <maxWeakCount>8</maxWeakCount>
      <stageThreshold>-1.6487828493118286e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 118 2.4945242330431938e-02</internalNodes>
          <leafValues>
            -7.7133107185363770e-01 1.6799999773502350e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 56 -4.7067007981240749e-03</internalNodes>
          <leafValues>
            4.2567253112792969e-01 -4.6406009793281555e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 76 -3.0869961483404040e-04</internalNodes>
          <leafValues>
            -8.7350040674209595e-01 1.6798928380012512e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 68 3.1078903703019023e-04</internalNodes>
          <leafValues>
            2.4220770597457886e-01 -6.5552395582199097e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 100 -1.4570904895663261e-02</internalNodes>
          <leafValues>
            4.6370661258697510e-01 -3.0729714035987854e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 47 -1.2907770462334156e-02</internalNodes>
          <leafValues>
            5.3527772426605225e-01 -2.7738070487976074e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 73 -7.8380468767136335e-04</internalNodes>
          <leafValues>
            -9.0300351381301880e-01 1.9343498349189758e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 131 4.5794399920850992e-04</internalNodes>
          <leafValues>
            -4.3234583735466003e-01 2.9618340730667114e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 11 -->
    <_>
      <maxWeakCount>6</maxWeakCount>
      <stageThreshold>-1.2291821241378784e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 52 9.4281235942617059e-04</internalNodes>
          <leafValues>
            -7.9123175144195557e-01 -2.2413793206214905e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 111 8.4190769121050835e-03</internalNodes>
          <leafValues>
            -4.5067664980888367e-01 3.2746303081512451e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 87 -1.8852978246286511e-04</internalNodes>
          <leafValues>
            -9.1738092899322510e-01 1.3400788605213165e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 51 7.7724121510982513e-03</internalNodes>
          <leafValues>
            -4.4173368811607361e-01 2.9246425628662109e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 85 -4.5453365892171860e-03</internalNodes>
          <leafValues>
            5.1788854598999023e-01 -2.6566487550735474e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 17 1.0441851336508989e-03</internalNodes>
          <leafValues>
            1.4070047438144684e-01 -9.3163442611694336e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 12 -->
    <_>
      <maxWeakCount>8</maxWeakCount>
      <stageThreshold>-1.6749068498611450e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 72 -4.2332075536251068e-02</internalNodes>
          <leafValues>
            3.7037035822868347e-01 -6.8645358085632324e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 92 1.2331149540841579e-02</internalNodes>
          <leafValues>
            -4.8024249076843262e-01 3.7485641241073608e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 19 -1.4376344624906778e-03</internalNodes>
          <leafValues>
            3.3269172906875610e-01 -5.4011124372482300e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 2 1.9535028934478760e-01</internalNodes>
          <leafValues>
            -4.8595386743545532e-01 3.8477006554603577e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 23 2.4880892597138882e-03</internalNodes>
          <leafValues>
            -3.4728315472602844e-01 4.4109636545181274e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 133 -6.5892352722585201e-04</internalNodes>
          <leafValues>
            -8.4551310539245605e-01 1.8500018119812012e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 61 -2.9595903470180929e-04</internalNodes>
          <leafValues>
            3.5689851641654968e-01 -3.9468845725059509e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 14 -2.1815902437083423e-04</internalNodes>
          <leafValues>
            -7.8008145093917847e-01 2.0410186052322388e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 13 -->
    <_>
      <maxWeakCount>9</maxWeakCount>
      <stageThreshold>-1.2711864709854126e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 106 3.8806211668998003e-03</internalNodes>
          <leafValues>
            -7.5438594818115234e-01 -7.0921983569860458e-03</leafValues></_>
        <_>
          <internalNodes>
            0 -1 26 2.8172851307317615e-04</internalNodes>
          <leafValues>
            -5.5419045686721802e-01 1.5137371420860291e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 70 -8.4731616079807281e-03</internalNodes>
          <leafValues>
            4.3454176187515259e-01 -2.9761177301406860e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 66 1.3887314125895500e-03</internalNodes>
          <leafValues>
            -2.9382044076919556e-01 4.7460147738456726e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 139 3.1683512497693300e-04</internalNodes>
          <leafValues>
            1.5722198784351349e-01 -7.6765406131744385e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 114 -8.4705871995538473e-04</internalNodes>
          <leafValues>
            4.5808035135269165e-01 -2.8424039483070374e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 42 3.7027195096015930e-02</internalNodes>
          <leafValues>
            -2.3793840408325195e-01 5.1195913553237915e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 14 1.7592482618056238e-04</internalNodes>
          <leafValues>
            2.0532855391502380e-01 -6.8547511100769043e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 20 -2.2641515824943781e-03</internalNodes>
          <leafValues>
            2.3885220289230347e-01 -4.8965540528297424e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 14 -->
    <_>
      <maxWeakCount>8</maxWeakCount>
      <stageThreshold>-1.1216294765472412e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 124 2.0961271598935127e-02</internalNodes>
          <leafValues>
            -7.0418006181716919e-01 7.8651688992977142e-02</leafValues></_>
        <_>
          <internalNodes>
            0 -1 109 1.6376269049942493e-03</internalNodes>
          <leafValues>
            -6.1756598949432373e-01 1.3491509854793549e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 36 -1.5973776578903198e-02</internalNodes>
          <leafValues>
            -5.1147872209548950e-01 2.5431516766548157e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 41 -9.7208619117736816e-03</internalNodes>
          <leafValues>
            2.2449684143066406e-01 -6.3282901048660278e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 123 -4.2028236202895641e-04</internalNodes>
          <leafValues>
            -7.8146326541900635e-01 1.1289697885513306e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 69 -2.8319627745077014e-05</internalNodes>
          <leafValues>
            2.2339573502540588e-01 -4.7986668348312378e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 93 -1.1449216981418431e-04</internalNodes>
          <leafValues>
            -6.3578861951828003e-01 1.5631660819053650e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 81 1.1926940351258963e-04</internalNodes>
          <leafValues>
            1.3636825978755951e-01 -7.3658156394958496e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 15 -->
    <_>
      <maxWeakCount>10</maxWeakCount>
      <stageThreshold>-1.2097603082656860e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 39 2.7162351179867983e-03</internalNodes>
          <leafValues>
            -8.0841124057769775e-01 -3.0035334825515747e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 125 -2.8000907041132450e-03</internalNodes>
          <leafValues>
            2.4187980592250824e-01 -4.3990579247474670e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 77 -7.6587791554629803e-03</internalNodes>
          <leafValues>
            5.8814519643783569e-01 -2.0775707066059113e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 103 1.9066829700022936e-03</internalNodes>
          <leafValues>
            1.8278542160987854e-01 -7.5174498558044434e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 128 3.1689192837802693e-05</internalNodes>
          <leafValues>
            -5.2105325460433960e-01 2.5322118401527405e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 135 1.9167899154126644e-04</internalNodes>
          <leafValues>
            1.2268866598606110e-01 -7.5668513774871826e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 78 1.2820613570511341e-02</internalNodes>
          <leafValues>
            -2.9294803738594055e-01 4.2590266466140747e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 33 6.0427933931350708e-04</internalNodes>
          <leafValues>
            -3.1483769416809082e-01 4.1116806864738464e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 95 3.7692282348871231e-03</internalNodes>
          <leafValues>
            1.1909957230091095e-01 -9.3929237127304077e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 59 -2.9200529679656029e-03</internalNodes>
          <leafValues>
            3.1493279337882996e-01 -3.1485208868980408e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 16 -->
    <_>
      <maxWeakCount>11</maxWeakCount>
      <stageThreshold>-1.7059310674667358e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 44 -2.8518247604370117e-01</internalNodes>
          <leafValues>
            7.5000000000000000e-01 -6.5356624126434326e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 130 -5.8085046475753188e-04</internalNodes>
          <leafValues>
            8.5490979254245758e-02 -6.9564694166183472e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 53 -3.5511655732989311e-03</internalNodes>
          <leafValues>
            5.1963049173355103e-01 -2.3529824614524841e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 15 -3.7783011794090271e-04</internalNodes>
          <leafValues>
            3.5271763801574707e-01 -3.8520723581314087e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 74 1.1102641932666302e-02</internalNodes>
          <leafValues>
            -3.0547136068344116e-01 4.3335008621215820e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 67 -4.1863685473799706e-03</internalNodes>
          <leafValues>
            -8.1288152933120728e-01 1.3290856778621674e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 94 -4.7954972833395004e-03</internalNodes>
          <leafValues>
            2.2382044792175293e-01 -4.7168734669685364e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 46 -4.2998686432838440e-02</internalNodes>
          <leafValues>
            6.8939453363418579e-01 -1.7968225479125977e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 107 -5.5647265166044235e-02</internalNodes>
          <leafValues>
            4.5669826865196228e-01 -2.5998881459236145e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 91 -2.7732695452868938e-03</internalNodes>
          <leafValues>
            3.3138534426689148e-01 -3.7081170082092285e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 25 -1.3227302115410566e-03</internalNodes>
          <leafValues>
            2.3027954995632172e-01 -4.9191680550575256e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 17 -->
    <_>
      <maxWeakCount>10</maxWeakCount>
      <stageThreshold>-1.4179146289825439e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 10 4.6150773763656616e-02</internalNodes>
          <leafValues>
            -6.6172105073928833e-01 4.0540540218353271e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 38 1.7601676518097520e-04</internalNodes>
          <leafValues>
            -6.2683880329132080e-01 1.1993540823459625e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 123 4.0473911212757230e-04</internalNodes>
          <leafValues>
            8.2197830080986023e-02 -1.</leafValues></_>
        <_>
          <internalNodes>
            0 -1 45 1.5742082148790359e-02</internalNodes>
          <leafValues>
            1.9261679053306580e-01 -5.8278715610504150e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 48 1.3946993276476860e-03</internalNodes>
          <leafValues>
            -4.5831051468849182e-01 2.1854743361473083e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 22 4.0654260665178299e-03</internalNodes>
          <leafValues>
            -4.0492305159568787e-01 3.1601557135581970e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 108 -4.5978679554536939e-04</internalNodes>
          <leafValues>
            4.6730217337608337e-01 -2.5739461183547974e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 138 4.1641127318143845e-03</internalNodes>
          <leafValues>
            1.2208824604749680e-01 -9.6026170253753662e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 35 -2.3533103987574577e-02</internalNodes>
          <leafValues>
            6.3695770502090454e-01 -1.9789499044418335e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 117 2.7290969155728817e-03</internalNodes>
          <leafValues>
            1.4403724670410156e-01 -9.3633812665939331e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 18 -->
    <_>
      <maxWeakCount>9</maxWeakCount>
      <stageThreshold>-1.6070514917373657e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 49 3.1065517663955688e-01</internalNodes>
          <leafValues>
            -6.6470587253570557e-01 6.7741936445236206e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 82 5.4550817003473639e-04</internalNodes>
          <leafValues>
            -4.0278974175453186e-01 3.6355349421501160e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 96 2.6823724620044231e-03</internalNodes>
          <leafValues>
            -2.0533509552478790e-01 5.3291815519332886e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 88 -1.0252110951114446e-04</internalNodes>
          <leafValues>
            -6.3848721981048584e-01 1.9362767040729523e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 97 2.5345468893647194e-03</internalNodes>
          <leafValues>
            -1.7260742187500000e-01 6.2352192401885986e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 102 -3.4752758219838142e-03</internalNodes>
          <leafValues>
            5.5645966529846191e-01 -2.0805118978023529e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 129 2.8704563737846911e-04</internalNodes>
          <leafValues>
            -3.4686589241027832e-01 3.4843245148658752e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 80 7.4661069083958864e-04</internalNodes>
          <leafValues>
            -2.0615023374557495e-01 5.6777006387710571e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 60 -2.2394140250980854e-04</internalNodes>
          <leafValues>
            3.4782961010932922e-01 -3.2453134655952454e-01</leafValues></_></weakClassifiers></_>
    <!-- stage 19 -->
    <_>
      <maxWeakCount>10</maxWeakCount>
      <stageThreshold>-1.2170501947402954e+00</stageThreshold>
      <weakClassifiers>
        <_>
          <internalNodes>
            0 -1 112 -2.2494150325655937e-02</internalNodes>
          <leafValues>
            4.8717948794364929e-01 -6.6964286565780640e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 116 4.1246617911383510e-05</internalNodes>
          <leafValues>
            -5.8245378732681274e-01 9.0001493692398071e-02</leafValues></_>
        <_>
          <internalNodes>
            0 -1 79 2.3577958345413208e-03</internalNodes>
          <leafValues>
            1.3089530169963837e-01 -7.4900770187377930e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 90 -1.1577903205761686e-04</internalNodes>
          <leafValues>
            -4.8994109034538269e-01 2.2435812652111053e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 83 -7.1163383836392313e-05</internalNodes>
          <leafValues>
            -4.4526118040084839e-01 2.8130683302879333e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 104 -6.3126761233434081e-05</internalNodes>
          <leafValues>
            2.4890588223934174e-01 -4.7793260216712952e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 0 1.3533804565668106e-02</internalNodes>
          <leafValues>
            1.2124174088239670e-01 -9.5634579658508301e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 105 5.3000137209892273e-02</internalNodes>
          <leafValues>
            -1.9493453204631805e-01 8.0495607852935791e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 119 -1.1025715619325638e-02</internalNodes>
          <leafValues>
            8.4886538982391357e-01 -1.2439685314893723e-01</leafValues></_>
        <_>
          <internalNodes>
            0 -1 75 6.9711415562778711e-05</internalNodes>
          <leafValues>
            2.1925754845142365e-01 -5.9821736812591553e-01</leafValues></_></weakClassifiers></_></stages>
  <features>
    <_>
      <rects>
        <_>
          0 0 1 14 -1.</_>
        <_>
          0 7 1 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 2 15 13 -1.</_>
        <_>
          5 2 5 13 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 2 24 15 -1.</_>
        <_>
          8 2 8 15 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 3 21 7 -1.</_>
        <_>
          7 3 7 7 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 4 4 12 -1.</_>
        <_>
          0 8 4 4 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 4 7 20 -1.</_>
        <_>
          0 14 7 10 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 4 18 12 -1.</_>
        <_>
          9 4 9 12 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 6 20 1 -1.</_>
        <_>
          10 6 10 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 7 18 9 -1.</_>
        <_>
          6 7 6 9 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 12 6 5 -1.</_>
        <_>
          3 12 3 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 12 18 4 -1.</_>
        <_>
          0 14 18 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 13 2 10 -1.</_>
        <_>
          1 13 1 10 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 15 8 8 -1.</_>
        <_>
          0 15 4 4 2.</_>
        <_>
          4 19 4 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 16 1 3 -1.</_>
        <_>
          0 17 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 17 1 3 -1.</_>
        <_>
          0 18 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 17 2 2 -1.</_>
        <_>
          1 17 1 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 19 2 1 -1.</_>
        <_>
          1 19 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 20 1 4 -1.</_>
        <_>
          0 22 1 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 21 1 3 -1.</_>
        <_>
          0 22 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          0 22 6 1 -1.</_>
        <_>
          3 22 3 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 0 1 24 -1.</_>
        <_>
          1 12 1 12 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 3 15 11 -1.</_>
        <_>
          6 3 5 11 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 4 5 6 -1.</_>
        <_>
          1 7 5 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 6 3 6 -1.</_>
        <_>
          1 8 3 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 14 6 10 -1.</_>
        <_>
          1 14 3 5 2.</_>
        <_>
          4 19 3 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 22 6 1 -1.</_>
        <_>
          4 22 3 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 22 3 2 -1.</_>
        <_>
          1 23 3 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 22 12 2 -1.</_>
        <_>
          7 22 6 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          1 23 18 1 -1.</_>
        <_>
          7 23 6 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          2 0 21 15 -1.</_>
        <_>
          9 0 7 15 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          2 4 13 4 -1.</_>
        <_>
          2 6 13 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          2 22 2 2 -1.</_>
        <_>
          3 22 1 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          3 4 6 4 -1.</_>
        <_>
          5 4 2 4 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          3 7 2 2 -1.</_>
        <_>
          3 8 2 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          3 9 6 14 -1.</_>
        <_>
          3 16 6 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          3 13 15 6 -1.</_>
        <_>
          3 15 15 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 1 14 12 -1.</_>
        <_>
          11 1 7 12 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 2 2 4 -1.</_>
        <_>
          5 2 1 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 4 2 1 -1.</_>
        <_>
          5 4 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 4 2 5 -1.</_>
        <_>
          5 4 1 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 5 11 6 -1.</_>
        <_>
          4 7 11 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 8 20 11 -1.</_>
        <_>
          14 8 10 11 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 8 17 6 -1.</_>
        <_>
          4 11 17 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 13 17 10 -1.</_>
        <_>
          4 18 17 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          4 14 17 8 -1.</_>
        <_>
          4 18 17 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 4 12 12 -1.</_>
        <_>
          5 4 6 6 2.</_>
        <_>
          11 10 6 6 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 5 15 19 -1.</_>
        <_>
          10 5 5 19 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 5 6 9 -1.</_>
        <_>
          5 8 6 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 5 14 8 -1.</_>
        <_>
          5 5 7 4 2.</_>
        <_>
          12 9 7 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 10 16 12 -1.</_>
        <_>
          5 14 16 4 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 11 17 4 -1.</_>
        <_>
          5 13 17 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 18 18 6 -1.</_>
        <_>
          5 18 9 3 2.</_>
        <_>
          14 21 9 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          5 22 3 2 -1.</_>
        <_>
          5 23 3 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 3 2 6 -1.</_>
        <_>
          6 6 2 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 3 14 10 -1.</_>
        <_>
          13 3 7 10 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 4 12 12 -1.</_>
        <_>
          12 4 6 12 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 6 2 9 -1.</_>
        <_>
          6 9 2 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 9 6 6 -1.</_>
        <_>
          6 11 6 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          6 22 3 1 -1.</_>
        <_>
          7 22 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 0 10 8 -1.</_>
        <_>
          7 0 5 4 2.</_>
        <_>
          12 4 5 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 4 2 13 -1.</_>
        <_>
          8 4 1 13 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 9 9 3 -1.</_>
        <_>
          10 9 3 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 9 6 14 -1.</_>
        <_>
          7 16 6 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 10 13 14 -1.</_>
        <_>
          7 17 13 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 13 13 10 -1.</_>
        <_>
          7 18 13 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          7 22 11 2 -1.</_>
        <_>
          7 23 11 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 0 3 2 -1.</_>
        <_>
          8 1 3 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 2 4 12 -1.</_>
        <_>
          8 2 2 6 2.</_>
        <_>
          10 8 2 6 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 2 4 11 -1.</_>
        <_>
          10 2 2 11 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 7 2 3 -1.</_>
        <_>
          9 7 1 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 7 9 6 -1.</_>
        <_>
          8 10 9 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 8 10 13 -1.</_>
        <_>
          13 8 5 13 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          8 8 7 9 -1.</_>
        <_>
          8 11 7 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          9 3 2 4 -1.</_>
        <_>
          10 3 1 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          9 5 12 10 -1.</_>
        <_>
          9 5 6 5 2.</_>
        <_>
          15 10 6 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          9 22 3 1 -1.</_>
        <_>
          10 22 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 2 3 2 -1.</_>
        <_>
          11 2 1 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 2 2 8 -1.</_>
        <_>
          10 6 2 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 2 8 6 -1.</_>
        <_>
          10 5 8 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 5 4 6 -1.</_>
        <_>
          10 5 2 3 2.</_>
        <_>
          12 8 2 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 18 4 2 -1.</_>
        <_>
          12 18 2 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          10 22 3 1 -1.</_>
        <_>
          11 22 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          11 0 1 2 -1.</_>
        <_>
          11 1 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          11 6 2 6 -1.</_>
        <_>
          11 6 1 3 2.</_>
        <_>
          12 9 1 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          11 23 2 1 -1.</_>
        <_>
          12 23 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 1 3 6 -1.</_>
        <_>
          12 3 3 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 2 8 3 -1.</_>
        <_>
          16 2 4 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 7 2 2 -1.</_>
        <_>
          12 7 1 1 2.</_>
        <_>
          13 8 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 8 2 2 -1.</_>
        <_>
          12 8 1 1 2.</_>
        <_>
          13 9 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 12 9 10 -1.</_>
        <_>
          12 17 9 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          12 16 2 2 -1.</_>
        <_>
          12 16 1 1 2.</_>
        <_>
          13 17 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          13 7 4 16 -1.</_>
        <_>
          15 7 2 16 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          13 8 7 6 -1.</_>
        <_>
          13 11 7 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          13 10 3 1 -1.</_>
        <_>
          14 10 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          13 17 4 4 -1.</_>
        <_>
          13 19 4 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          14 2 4 3 -1.</_>
        <_>
          14 3 4 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          14 4 6 3 -1.</_>
        <_>
          16 4 2 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          14 5 1 6 -1.</_>
        <_>
          14 7 1 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          14 8 8 16 -1.</_>
        <_>
          14 8 4 8 2.</_>
        <_>
          18 16 4 8 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          14 12 10 12 -1.</_>
        <_>
          14 12 5 6 2.</_>
        <_>
          19 18 5 6 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 1 8 12 -1.</_>
        <_>
          15 1 4 6 2.</_>
        <_>
          19 7 4 6 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 1 6 21 -1.</_>
        <_>
          15 8 6 7 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 3 1 9 -1.</_>
        <_>
          15 6 1 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 6 3 9 -1.</_>
        <_>
          16 6 1 9 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 8 2 4 -1.</_>
        <_>
          16 8 1 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          15 11 9 7 -1.</_>
        <_>
          18 11 3 7 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          16 3 4 10 -1.</_>
        <_>
          16 3 2 5 2.</_>
        <_>
          18 8 2 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          16 5 8 11 -1.</_>
        <_>
          20 5 4 11 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          16 17 2 4 -1.</_>
        <_>
          17 17 1 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          16 21 8 1 -1.</_>
        <_>
          20 21 4 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          16 22 6 2 -1.</_>
        <_>
          19 22 3 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          17 12 6 4 -1.</_>
        <_>
          19 12 2 4 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          17 13 2 6 -1.</_>
        <_>
          17 16 2 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          17 22 1 2 -1.</_>
        <_>
          17 23 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          18 3 2 8 -1.</_>
        <_>
          18 3 1 4 2.</_>
        <_>
          19 7 1 4 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          18 10 6 14 -1.</_>
        <_>
          18 10 3 7 2.</_>
        <_>
          21 17 3 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          18 22 2 2 -1.</_>
        <_>
          19 22 1 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 1 5 3 -1.</_>
        <_>
          19 2 5 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 6 1 18 -1.</_>
        <_>
          19 12 1 6 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 8 1 15 -1.</_>
        <_>
          19 13 1 5 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 9 4 7 -1.</_>
        <_>
          21 9 2 7 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 11 4 5 -1.</_>
        <_>
          21 11 2 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 12 4 10 -1.</_>
        <_>
          19 12 2 5 2.</_>
        <_>
          21 17 2 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          19 22 2 2 -1.</_>
        <_>
          19 22 1 1 2.</_>
        <_>
          20 23 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 9 1 15 -1.</_>
        <_>
          20 14 1 5 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 10 4 6 -1.</_>
        <_>
          20 10 2 3 2.</_>
        <_>
          22 13 2 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 11 2 8 -1.</_>
        <_>
          21 11 1 8 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 21 4 1 -1.</_>
        <_>
          22 21 2 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 21 4 2 -1.</_>
        <_>
          20 22 4 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          20 22 2 1 -1.</_>
        <_>
          21 22 1 1 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          22 10 1 12 -1.</_>
        <_>
          22 16 1 6 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          22 15 2 3 -1.</_>
        <_>
          23 15 1 3 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          22 16 2 5 -1.</_>
        <_>
          23 16 1 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 0 1 6 -1.</_>
        <_>
          23 2 1 2 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 1 1 3 -1.</_>
        <_>
          23 2 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 4 1 3 -1.</_>
        <_>
          23 5 1 1 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 8 1 10 -1.</_>
        <_>
          23 13 1 5 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 13 1 4 -1.</_>
        <_>
          23 15 1 2 2.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 13 1 9 -1.</_>
        <_>
          23 16 1 3 3.</_></rects>
      <tilted>0</tilted></_>
    <_>
      <rects>
        <_>
          23 19 1 2 -1.</_>
        <_>
          23 20 1 1 2.</_></rects>
      <tilted>0</tilted></_></features></cascade>
</opencv_storage>
